## FmStandardView

FmStandardView — A folder view widget based on libexo.

## Functions

FmStandardView * | fm_standard_view_new ()
void | fm_standard_view_set_mode ()
FmStandardViewMode | fm_standard_view_get_mode ()
const char * | fm_standard_view_mode_to_str ()
FmStandardViewMode | fm_standard_view_mode_from_str ()
gint | fm_standard_view_get_n_modes ()
const char * | fm_standard_view_get_mode_label ()
const char * | fm_standard_view_get_mode_tooltip ()
const char * | fm_standard_view_get_mode_icon ()

## Types and Values

#define | FM_STANDARD_VIEW_TYPE
enum | FmStandardViewMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkScrolledWindow
                            ╰── FmStandardView

## Description

`include` : libfm/fm-gtk.h

The FmStandardView represents view of content of a folder with support of drag & drop and other file/directory operations.

## Functions

### fm_standard_view_new ()

    FmStandardView *
    fm_standard_view_new (FmStandardViewMode mode,
                          FmFolderViewUpdatePopup update_popup,
                          FmLaunchFolderFunc open_folders);

Creates new folder view.

#### Parameters

mode | initial mode of view |
update_popup | callback to update context menu for files. | [allow-none]
open_folders | callback to open folder on activation. | [allow-none]

#### Returns

a new FmStandardView widget.

Since: 1.0.1

### fm_standard_view_set_mode ()

    void
    fm_standard_view_set_mode (FmStandardView *fv,
                               FmStandardViewMode mode);

Before 1.0.1 this API had name fm_folder_view_set_mode.

Changes current view mode for folder in `fv` .

#### Parameters

fv | a widget to apply |
mode | new mode of view |

Since: 0.1.0

### fm_standard_view_get_mode ()

    FmStandardViewMode
    fm_standard_view_get_mode (FmStandardView *fv);

Retrieves current view mode for folder in `fv` .

Before 1.0.1 this API had name fm_folder_view_get_mode.

#### Parameters

fv | a widget to inspect |

#### Returns

current mode of view.

Since: 0.1.0

### fm_standard_view_mode_to_str ()

    const char *
    fm_standard_view_mode_to_str (FmStandardViewMode mode);

Retrieves string name of rendering `mode` . That name may be used for config save or similar purposes. Returned data are owned by the implementation and should be not freed by caller.

#### Parameters

mode | mode id |

#### Returns

name associated with `mode` .

Since: 1.0.2

### fm_standard_view_mode_from_str ()

    FmStandardViewMode
    fm_standard_view_mode_from_str (const char *str);

Finds mode which have an associated name equal to `str` .

#### Parameters

str | the name of mode |

#### Returns

mode id or (FmStandardViewMode)-1 if no such mode exists.

Since: 1.0.2

### fm_standard_view_get_n_modes ()

    gint
    fm_standard_view_get_n_modes (void);

Tests how many view modes are known to create FmStandardView widget.

#### Returns

number of known modes for standard folder view.

Since: 1.2.0

### fm_standard_view_get_mode_label ()

    const char *
    fm_standard_view_get_mode_label (FmStandardViewMode mode);

Retrieves label for `mode` which can be used in menus. Returned data should not be freed by caller.

#### Parameters

mode | the view mode |

#### Returns

desription or `NULL` if `mode` is invalid.

Since: 1.2.0

### fm_standard_view_get_mode_tooltip ()

    const char *
    fm_standard_view_get_mode_tooltip (FmStandardViewMode mode);

Retrieves detailed description for `mode` which can be used in tooltip. Returned data should not be freed by caller.

#### Parameters

mode | the view mode |

#### Returns

detailed description or `NULL` if it is not available.

Since: 1.2.0

### fm_standard_view_get_mode_icon ()

    const char *
    fm_standard_view_get_mode_icon (FmStandardViewMode mode);

Retrieves icon name for `mode` which can be used in menus. Returned data should not be freed by caller.

#### Parameters

mode | the view mode |

#### Returns

icon name or `NULL` if it is not available.

Since: 1.2.0

## Types and Values

### FM_STANDARD_VIEW_TYPE

    #define FM_STANDARD_VIEW_TYPE               (fm_standard_view_get_type())

### enum FmStandardViewMode

#### Members

FM_FV_ICON_VIEW | standard icon view |
FM_FV_COMPACT_VIEW | view with small icons and text on right of them |
FM_FV_THUMBNAIL_VIEW | view with big icons/thumbnails |
FM_FV_LIST_VIEW | table-form view |